Commenting V1
Reply to Comment V1
Reply to a comment. Supports inline images via image_url or image_base64.
POST /api/v1/discussion/reply
Reply to a comment. Supports inline images via image_url or image_base64.
Body parameters
| Name | Type | Required | Description |
|---|---|---|---|
comment_url | string | Yes | Comment URL, ID, or t1_ prefixed ID. |
reply | string | Yes | Reply text — plain text or Reddit markdown both work. |
bearer | string | No | Bearer token. Optional if stored in Token Vault. |
image_base64 | string | No | Base64-encoded image to embed inline (optional). |
image_url | string | No | Image URL to embed inline (optional). |
reply_depth | string | No | Reply depth level (default: 1). |
proxy | string | No | Proxy. Optional if stored in Token Vault. |
Authentication
| Header | Value |
|---|---|
X-RapidAPI-Key | Your RapidAPI key |
X-RapidAPI-Host | red-crawler1.p.rapidapi.com |
Example request
cURL
curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/discussion/reply" \
-H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
-H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
-H "Content-Type: application/json" \
--data '{"comment_url": "<comment_url>", "reply": "<reply>", "bearer": "<bearer>", "image_base64": "<image_base64>", "image_url": "<image_url>", "reply_depth": "<reply_depth>", "proxy": "<proxy>"}'JavaScript
const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/discussion/reply", {
method: "POST",
headers: {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
},
body: JSON.stringify({
"comment_url": "<comment_url>",
"reply": "<reply>",
"bearer": "<bearer>",
"image_base64": "<image_base64>",
"image_url": "<image_url>",
"reply_depth": "<reply_depth>",
"proxy": "<proxy>"
})
});
const data = await res.json();
console.log(data);Python
import requests
url = "https://red-crawler1.p.rapidapi.com/api/v1/discussion/reply"
headers = {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
"Content-Type": "application/json"
}
payload = {
"comment_url": "<comment_url>",
"reply": "<reply>",
"bearer": "<bearer>",
"image_base64": "<image_base64>",
"image_url": "<image_url>",
"reply_depth": "<reply_depth>",
"proxy": "<proxy>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())Example response
HTTP 200 — captured from a live call to the gateway.
{
"success": true,
"data": {
"approved_at_utc": null,
"comment_type": null,
"banned_by": null,
"author_flair_type": "text",
"subreddit_id": "t5_2qh23",
"subreddit": "test",
"likes": null,
"replies": "",
"user_reports": [],
"saved": false,
"banned_at_utc": null,
"mod_reason_title": null,
"gilded": 0,
"archived": false,
"no_follow": false,
"parent_id": "t1_oiwsrqj",
"subreddit_name_prefixed": "r/test",
"all_awardings": [],
"awarders": [],
"collapsed": false,
"can_gild": false,
"top_awarded_type": null,
"score_hidden": false,
"media_metadata": {
"oady21atr3yg1": {
"status": "unprocessed"
}
},
"locked": false,
"name": "t1_oiwt14s",
"author_flair_text": null,
"treatment_tags": [],
"rte_mode": "richtext",
"controversiality": 0,
"author_flair_background_color": null,
"collapsed_because_crowd_control": null,
"mod_note": null,
"distinguished": null,
"total_awards_received": 0,
"author_is_blocked": false,
"mod_reason_by": null,
"removal_reason": null,
"link_id": "t3_1syt6xi",
"author_flair_template_id": null,
"author_fullname": "t2_29onm7dc32",
"id": "oiwt14s",
"collapsed_reason": null,
"collapsed_reason_code": null,
"report_reasons": null,
"author": "Motor_Tip8865",
"can_mod_post": false,
"send_replies": true,
"score": 1,
"approved_by": null,
"author_premium": false,
"downs": 0,
"body": "reply comment\n\n*Processing img oady21atr3yg1...*",
"edited": false,
"author_flair_css_class": null,
"is_submitter": true,
"author_flair_richtext": [],
"author_patreon_flair": false,
"body_html": "<div class=\"md\"><p>reply comment</p>\n\n<p><em>Processing img oady21atr3yg1...</em></p>\n</div>",
"gildings": {},
"associated_award": null,
"subreddit_type": "public",
"unrepliable_reason": null,
"author_flair_text_color": null,
"permalink": "/r/test/comments/1syt6xi/text_post/oiwt14s/",
"num_reports": null,
"stickied": false,
"created": 1777456858,
"created_utc": 1777456858,
"ups": 1,
"mod_reports": []
},
"error": null,
"timestamp": "2026-04-29T10:00:58.978223+00:00"
}